﻿'
' Copyright (c) 2021, MindFusion LLC - Bulgaria.
'


''' <summary>
''' Interaction logic for MainWindow.xaml
''' </summary>
Partial Public Class MainWindow
	Inherits Window
	Public Sub New()
		InitializeComponent()
	End Sub

	Private Sub radioNever_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
		diagram.MagnifierEnabled = False
		diagram.ModifierKeyActions.Alt = ModifierKeyAction.None
		diagram.RightButtonActions = MouseButtonActions.Cancel
	End Sub

	Private Sub radioOnRightClick_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
		diagram.MagnifierEnabled = False
		diagram.ModifierKeyActions.Alt = ModifierKeyAction.None
		diagram.RightButtonActions = MouseButtonActions.Magnify
	End Sub

	Private Sub radioOnAlt_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
		diagram.MagnifierEnabled = False
		diagram.ModifierKeyActions.Alt = ModifierKeyAction.Magnify
		diagram.RightButtonActions = MouseButtonActions.Cancel
	End Sub

	Private Sub radioAlways_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
		diagram.MagnifierEnabled = True
		diagram.ModifierKeyActions.Alt = ModifierKeyAction.None
		diagram.RightButtonActions = MouseButtonActions.Cancel
	End Sub

	Private Sub radioDefault_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Application.Current.Resources.MergedDictionaries.Clear()
		diagram.MagnifierStyle = Nothing
	End Sub

	Private Sub radioCustom_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Dim path As String = "Magnifier.xaml"
		Dim uri As New Uri(path, UriKind.Relative)
		Dim d As ResourceDictionary = TryCast(Application.LoadComponent(uri), ResourceDictionary)
		Application.Current.Resources.MergedDictionaries.Clear()
		Application.Current.Resources.MergedDictionaries.Add(d)
		diagram.MagnifierStyle = TryCast(d("Magnifier"), System.Windows.Style)
	End Sub

	Private Sub sliderSize_ValueChanged(ByVal sender As Object, ByVal e As RoutedPropertyChangedEventArgs(Of Double))
		diagram.MagnifierWidth = sliderSize.Value
		diagram.MagnifierHeight = sliderSize.Value
	End Sub

	Private Sub sliderZoom_ValueChanged(ByVal sender As Object, ByVal e As RoutedPropertyChangedEventArgs(Of Double))
		diagram.MagnifierFactor = sliderZoom.Value
	End Sub
End Class